# Class BasicFileChooserUI.BasicFileView

java.lang.Object
javax.swing.filechooser.FileView
javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.BasicFileView extends FileView
A basic file view.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Hashtable<File,Icon>`
  `iconCache`
  The icon cache

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicFileView()`
  Constructs a `BasicFileView`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cacheIcon(File f, Icon i)`
  Caches an icon for a file.
  `void`
  `clearIconCache()`
  Clears the icon cache.
  `Icon`
  `getCachedIcon(File f)`
  Returns the cached icon for the file.
  `Boolean`
  `isHidden(File f)`
  Returns whether or not a file is hidden.

  ### Methods declared in class FileView

  `getDescription, getIcon, getName, getTypeDescription, isTraversable`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### iconCache

    protected Hashtable<File,Icon> iconCache
    The icon cache

- ## Constructor Details

  - ### BasicFileView

    public BasicFileView()
    Constructs a `BasicFileView`.

- ## Method Details

  - ### clearIconCache

    public void clearIconCache()
    Clears the icon cache.

  - ### getCachedIcon

    public Icon getCachedIcon(File f)
    Returns the cached icon for the file.
    Parameters:
      `f` - the file
    Returns:
      the cached icon for the file

  - ### cacheIcon

    public void cacheIcon(File f, Icon i)
    Caches an icon for a file.
    Parameters:
      `f` - the file
      `i` - the icon

  - ### isHidden

    public Boolean isHidden(File f)
    Returns whether or not a file is hidden.
    Parameters:
      `f` - the file
    Returns:
      whether or not a file is hidden